# Description

This gem adds Chef report and attributes handlers that send reports to LRC Project.
LRC mean LinkByNet Reporter for Chef

## Installation

Since it's released as a gem you can simply run this command under root

```sh
chef gem install lrc_handler
```

## Usage

In /etc/chef/client.rb:

```ruby
# this adds new functions to chef configuration
require 'lrc_handler'
# here you can specify your connection options
lrc_server_options  :url => 'https://lrc.lbn.fr'
# add following line if you want to upload reports
lrc_reports_upload  true
# add following line to manage reports verbosity. Allowed values are debug, notice and error
lrc_reports_level       "notice"
```

## packaging

Edit the `lib\lbn_report_chef\version.rb` with a new version

run the following command:

```sh
gem build lrc_handler.gemspec
gem push lrc_handler-x.x.x.gem
```

gem push require that you can login to rubygems.org